kaspcheck.c File Reference
`#include <stdio.h>`
`#include <getopt.h>`
`#include <string.h>`
`#include <syslog.h>`
`#include "config.h"`
`#include "kc_helper.h"`
`#include <libxml/parser.h>`

Go to the source code of this file.

## Macros

#define | _GNU_SOURCE

## Functions

int | main (int argc, char *argv[])

## Variables

const char * | progname = NULL

## Macro Definition Documentation

## _GNU_SOURCE

#define _GNU_SOURCE

Definition at line 26 of file kaspcheck.c.

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 68 of file kaspcheck.c.

References check_conf(), check_kasp(), check_zonelist(), DEFAULT_LOG_FACILITY, dual_log(), kc_helper_printto_stdout, log_init(), progname, and StrStrdup().

## Variable Documentation

## progname

const char* progname = NULL

Definition at line 42 of file kaspcheck.c.

Referenced by main().